<?php
class Absensi extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->model('M_absensi');
        $this->load->model('M_lansia');
        $this->load->library('auth');
        $this->auth->check_login();
    }

    // Halaman utama untuk filter kehadiran
    public function index() {
        $data['judul'] = 'Daftar Kehadiran Lansia';
        $bulan = $this->input->post('bulan') ?? date('m');
        $tahun = $this->input->post('tahun') ?? date('Y');

        $data['lansia_hadir'] = $this->M_absensi->getAbsensi($bulan, $tahun);
        $data['semua_lansia'] = $this->M_absensi->getAllLansia();
        $data['bulan'] = $bulan;
        $data['tahun'] = $tahun;

        $role = $this->session->userdata('role');
        $this->load->view("kader/headerkader", $data);
        $this->load->view('datauser/absensi', $data); // dipindah ke folder absensi
        $this->load->view("kader/footerkader");
    }

    // Proses input kehadiran satu lansia
    public function tandai_hadir($nik) {
    $bulan = $this->input->get('bulan') ?? date('m');
    $tahun = $this->input->get('tahun') ?? date('Y');

    // Konversi ke integer agar aman untuk perbandingan
    $bulan = (int)$bulan;
    $tahun = (int)$tahun;

    $bulan_skrg = (int)date('m');
    $tahun_skrg = (int)date('Y');

    // Cek apakah bulan/tahun sudah lewat atau belum datang
    if ($tahun < $tahun_skrg || ($tahun == $tahun_skrg && $bulan < $bulan_skrg)) {
        $this->session->set_flashdata('flash', '⚠️ Tidak bisa absen di bulan yang sudah lewat.');
        redirect('Absensi?bulan=' . $bulan . '&tahun=' . $tahun);
        return;
    }

    if ($tahun > $tahun_skrg || ($tahun == $tahun_skrg && $bulan > $bulan_skrg)) {
        $this->session->set_flashdata('flash', '⚠️ Belum bisa absen di bulan yang akan datang.');
        redirect('Absensi?bulan=' . $bulan . '&tahun=' . $tahun);
        return;
    }

    $tanggal = date('Y-m-d');

    if (!$this->M_absensi->sudahAda($nik, $bulan, $tahun)) {
        $data = [
            'nik' => $nik,
            'tanggal' => $tanggal,
            'bulan' => $bulan,
            'tahun' => $tahun,
            'hadir' => 'Ya'
        ];
        $this->M_absensi->simpanAbsensi([$data]);
        $this->session->set_flashdata('flash', '✅ Kehadiran berhasil disimpan.');
    } else {
        $this->session->set_flashdata('flash', '⚠️ Lansia ini sudah absen bulan ini.');
    }

    redirect('Absensi?bulan=' . $bulan . '&tahun=' . $tahun);
}


    public function daftar_hadir() {
    $data['judul'] = 'Daftar Lansia yang Sudah Hadir';

    $bulan = $this->input->post('bulan') ?? date('m');
    $tahun = $this->input->post('tahun') ?? date('Y');

    $data['bulan'] = $bulan;
    $data['tahun'] = $tahun;

    $data['lansia_hadir'] = $this->M_absensi->getAbsensi($bulan, $tahun);

    // Tambahkan status riwayat ke setiap data lansia
    foreach ($data['lansia_hadir'] as &$lansia) {
        $lansia['sudah_riwayat'] = $this->M_absensi->cekRiwayat($lansia['nik'], $bulan, $tahun);
    }

    $role = $this->session->userdata('role');
    $this->load->view("kader/headerkader", $data);
    $this->load->view('datauser/daftar_hadir', $data);
    $this->load->view("kader/footerkader");
}


}
