<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Agenda extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
        $this->load->library('auth');
        $this->auth->check_login();

		$this->load->model('m_agenda');
        $this->load->model('M_agenda');
        $this->load->model('M_lansia'); // Model untuk data lansia
        require_once APPPATH . 'libraries/fpdf.php'; // Load FPDF
		$this->no_cache();
    }

    private function no_cache() {
        $this->output->set_header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
        $this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, max-age=0');
        $this->output->set_header('Cache-Control: post-check=0, pre-check=0', false);
        $this->output->set_header('Pragma: no-cache');
    }
	// List all data
	public function index()
	{
		$data['judul'] = 'Data Agenda';
     $data['data']= $this->m_agenda->tampil()->result();
     $this->load->view( 'admin/headeradmin', $data);
     $this->load->view('agenda/viewadmin',$data);
	 $this->load->view( 'admin/footeradmin');

	}

	public function bidan()
	{
		$data['judul'] = 'Data Agenda';
     $data['data']= $this->m_agenda->tampil()->result();
     $this->load->view( 'bidan/headerbidan', $data);
     $this->load->view('agenda/view',$data);
	 $this->load->view( 'bidan/footerbidan');

	}

	public function kader()
	{
		$data['judul'] = 'Data Agenda';
     $data['data']= $this->m_agenda->tampil()->result();
     $this->load->view( 'kader/headerkader', $data);
     $this->load->view('agenda/viewkader',$data);
	 $this->load->view( 'kader/footerkader');

	}

	// Add a form item
	public function form_add()
    {
        $data['judul'] = 'Tambah Agenda';
        $role = $this->session->userdata('role');

        // Tentukan header dan footer berdasarkan role
        if ($role == 'admin') {
            $this->load->view('admin/headeradmin', $data);
            $this->load->view('agenda/create', $data);
            $this->load->view('admin/footeradmin');
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/headerbidan', $data);
            $this->load->view('agenda/create', $data);
            $this->load->view('bidan/footerbidan');
        } elseif ($role == 'kader') {
            $this->load->view('kader/headerkader', $data);
            $this->load->view('agenda/create', $data);
            $this->load->view('kader/footerkader');
        } 
    }


    public function add()
{
    $this->form_validation->set_rules('nama_agenda', 'Nama Agenda', 'trim|required|min_length[5]|max_length[100]');
    $this->form_validation->set_rules('jenis', 'Jenis', 'trim|required|min_length[5]|max_length[100]');
    $this->form_validation->set_rules('tempat', 'Tempat', 'trim|required|min_length[5]|max_length[50]');
    $this->form_validation->set_rules('keterangan', 'Keterangan', 'trim|required|min_length[20]|max_length[300]');
    $this->form_validation->set_rules('tanggal', 'Tanggal', 'required');

    $role = $this->session->userdata('role');

    if ($this->form_validation->run() == FALSE) {
        $this->form_add(); // Tampilkan kembali form jika gagal validasi
    } else {
        $data = [
            'nama_agenda' => $this->input->post('nama_agenda', TRUE),
            'jenis' => $this->input->post('jenis', TRUE),
            'tempat' => $this->input->post('tempat', TRUE),
            'tanggal' => $this->input->post('tanggal', TRUE),
            'keterangan' => $this->input->post('keterangan', TRUE),
        ];

        if ($this->m_agenda->input($data)) {
            $this->session->set_flashdata('pesan', 'Data berhasil ditambahkan!');
        } else {
            $this->session->set_flashdata('pesan', 'Data gagal ditambahkan!');
        }

        // Redirect sesuai role
        if ($role == 'admin') {
            redirect('agenda');
        } elseif ($role == 'bidan') {
            redirect('agenda/bidan');
        } elseif ($role == 'kader') {
            redirect('agenda/kader');
        } else {
            $this->session->set_flashdata('pesan', 'Data gagal ditambahkan!');
            redirect('agenda/form_add');
            }
        }
    }

    public function del($id)
    {
        $role = $this->session->userdata('role');

        if ($this->m_agenda->delete($id)) {
            $this->session->set_flashdata('pesan', 'Data berhasil dihapus');
        } else {
            $this->session->set_flashdata('pesan', 'Data gagal dihapus');
        }

        // Redirect sesuai role
        if ($role == 'admin') {
            redirect('agenda');
        } elseif ($role == 'bidan') {
            redirect('agenda/bidan');
        } elseif ($role == 'kader') {
            redirect('agenda/kader');
        }
    }

    public function edit()
    {
        $data['data'] = $this->m_agenda->edit()->row();
    
        // Gunakan header sesuai role
        $role = $this->session->userdata('role');
        if ($role == 'admin') {
            $this->load->view('admin/headeradmin', $data);
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/headerbidan', $data);
        } elseif ($role == 'kader') {
            $this->load->view('kader/headerkader', $data);
        }
    
        $this->load->view('agenda/edit', $data);
    
        if ($role == 'admin') {
            $this->load->view('admin/footeradmin');
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/footerbidan');
        } elseif ($role == 'kader') {
            $this->load->view('kader/footerkader');
        }
    }
    

	public function Update()
    {
        $this->form_validation->set_rules('nama_agenda', 'nama_agenda', 'trim|required|min_length[5]|max_length[100]');
        $this->form_validation->set_rules('jenis', 'jenis', 'trim|required|min_length[5]|max_length[100]');
        $this->form_validation->set_rules('tempat', 'tempat', 'trim|required|min_length[5]|max_length[50]');
        $this->form_validation->set_rules('keterangan', 'keterangan', 'trim|required|min_length[20]|max_length[300]');

        $role = $this->session->userdata('role');

        if ($this->form_validation->run() == TRUE) {
            if ($this->m_agenda->update()) {
                $this->session->set_flashdata('pesan', 'Data berhasil dirubah!');
            } else {
                $this->session->set_flashdata('pesan', 'Data gagal dirubah!');
            }

            // Redirect sesuai role
            if ($role == 'admin') {
                redirect('agenda');
            } elseif ($role == 'bidan') {
                redirect('agenda/bidan');
            } elseif ($role == 'kader') {
                redirect('agenda/kader');
            } 
        } else {
            $data['data'] = $this->m_agenda->edit()->row();

            if ($role == 'admin') {
                $this->load->view('admin/headeradmin', $data);
            } elseif ($role == 'bidan') {
                $this->load->view('bidan/headerbidan', $data);
            } elseif ($role == 'kader') {
                $this->load->view('kader/headerkader', $data);
            }

            $this->load->view('agenda/edit', $data);

            if ($role == 'admin') {
                $this->load->view('admin/footeradmin');
            } elseif ($role == 'bidan') {
                $this->load->view('bidan/footerbidan');
            } elseif ($role == 'kader') {
                $this->load->view('kader/footerkader');
            }
        }
    }


	

    public function download($id_agenda) {
        // Ambil data agenda berdasarkan ID
        $agenda = $this->m_agenda->getAgendaById($id_agenda);
        if (!$agenda) {
            show_error('Agenda tidak ditemukan', 404);
            return;
        }
    
        // Ambil data lansia yang hadir pada tanggal agenda
        $data_lansia = $this->M_lansia->getLansiaByTanggal($agenda->tanggal);
    
        // Buat objek PDF
        $pdf = new FPDF();
        $pdf->AddPage();
        $pdf->SetFont('Arial', 'B', 14);
    
        // Judul
        $pdf->Cell(190, 10, 'Laporan Kehadiran Lansia', 0, 1, 'C');
        $pdf->Ln(5);
    
        // Konversi tanggal ke format Indonesia
        $hari = ['Sunday' => 'Minggu', 'Monday' => 'Senin', 'Tuesday' => 'Selasa',
            'Wednesday' => 'Rabu', 'Thursday' => 'Kamis', 'Friday' => 'Jumat', 'Saturday' => 'Sabtu'];
        $bulan = ['January' => 'Januari', 'February' => 'Februari', 'March' => 'Maret',
            'April' => 'April', 'May' => 'Mei', 'June' => 'Juni', 'July' => 'Juli',
            'August' => 'Agustus', 'September' => 'September', 'October' => 'Oktober',
            'November' => 'November', 'December' => 'Desember'];
        $timestamp = strtotime($agenda->tanggal);
        $tanggal_format = $hari[date('l', $timestamp)] . ", " . date('d', $timestamp) . " " . $bulan[date('F', $timestamp)] . " " . date('Y', $timestamp);
    
        // Informasi Agenda
        $pdf->SetFont('Arial', '', 12);
        $pdf->Cell(30, 10, 'Nama Agenda', 0, 0);
        $pdf->Cell(5, 10, ':', 0, 0);
        $pdf->Cell(100, 10, $agenda->nama_agenda, 0, 1);
        $pdf->Cell(30, 10, 'Tanggal', 0, 0);
        $pdf->Cell(5, 10, ':', 0, 0);
        $pdf->Cell(100, 10, $tanggal_format, 0, 1);
        $pdf->Cell(30, 10, 'Tempat', 0, 0);
        $pdf->Cell(5, 10, ':', 0, 0);
        $pdf->Cell(100, 10, $agenda->tempat, 0, 1);
        $pdf->Ln(5);
    
        // Header Tabel
        $pdf->SetFont('Arial', 'B', 10);
        $pdf->SetFillColor(200, 200, 200);
        $pdf->Cell(50, 10, 'Nama Lansia', 1, 0, 'C', true);
        $pdf->Cell(15, 10, 'Usia', 1, 0, 'C', true);
        $pdf->Cell(20, 10, 'BB (kg)', 1, 0, 'C', true);
        $pdf->Cell(30, 10, 'Tensi (mmHg)', 1, 0, 'C', true);
        $pdf->Cell(25, 10, 'Chol (mg/dL)', 1, 0, 'C', true);
        $pdf->Cell(25, 10, 'Asam (mg/dL)', 1, 0, 'C', true);
        $pdf->Cell(25, 10, 'Gula (mg/dL)', 1, 1, 'C', true);
    
        $pdf->SetFont('Arial', '', 10);
        foreach ($data_lansia as $lansia) {
            $pdf->Cell(50, 10, $lansia->nama, 1, 0);
            $pdf->Cell(15, 10, $lansia->usia . ' th', 1, 0);
            $pdf->Cell(20, 10, ($lansia->bb ?? '-') . ' kg', 1, 0);
            $pdf->Cell(30, 10, ($lansia->tekanan_darah ?? '-') . ' mmHg', 1, 0);
            $pdf->Cell(25, 10, ($lansia->kolesterol ?? '-') . ' mg/dL', 1, 0);
            $pdf->Cell(25, 10, ($lansia->asam_urat ?? '-') . ' mg/dL', 1, 0);
            $pdf->Cell(25, 10, ($lansia->gula_darah ?? '-') . ' mg/dL', 1, 1);
        }
        $pdf->Ln(5);
    
    $pdf->SetFont('Arial', 'B', 10);
    $pdf->Cell(30, 6, 'Keterangan:', 0, 1); // Lebar dikurangi, enter langsung ke bawah

    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(15, 6, 'BB', 0, 0);  
    $pdf->Cell(50, 6, ': Berat Badan', 0, 1);

    $pdf->Cell(15, 6, 'Tensi', 0, 0);
    $pdf->Cell(50, 6, ': Tekanan Darah', 0, 1);

    $pdf->Cell(15, 6, 'Chol', 0, 0);
    $pdf->Cell(50, 6, ': Kolesterol', 0, 1);

    $pdf->Cell(15, 6, 'Asam', 0, 0);
    $pdf->Cell(50, 6, ': Asam Urat', 0, 1);

    $pdf->Cell(15, 6, 'Gula', 0, 0);
    $pdf->Cell(50, 6, ': Gula Darah', 0, 1);
    
        $pdf->Ln(10);
    
        // Tambahkan Tanda Tangan
        $pdf->SetFont('Arial', '', 12);
        $pdf->Cell(95, 10, 'Ketua Posyandu', 0, 0, 'C');
        $pdf->Cell(95, 10, 'Bidan', 0, 1, 'C');
        $pdf->Ln(20);
    
        $pdf->Cell(95, 10, '(________________)', 0, 0, 'C');
        $pdf->Cell(95, 10, '(________________)', 0, 1, 'C');
    
        // Output PDF
        $pdf->Output('D', 'Laporan_Agenda_' . $agenda->tanggal . '.pdf');
    }
    

}
