<?php
class Databidan extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        $this->load->library('auth');
        $this->auth->check_login();
        setlocale(LC_TIME, 'id_ID.UTF-8', 'Indonesian', 'id_ID');
        $this->load->model('M_bidan');
    }

    public function index()
    {
        $data['judul'] = 'Daftar Bidan';
        // Menyaring data berdasarkan role 'kader' untuk ditampilkan
        $data['data_bidan'] = $this->M_bidan->getBidan();  // Menampilkan data kader dari tabel users

        if ($this->input->post('keyword')) {
            $data['data_bidan'] = $this->M_bidan->cariDataBidan();
        }
        $this->load->view('admin/headeradmin', $data);
        $this->load->view('databidan/data_bidan', $data);
        $this->load->view('admin/footeradmin');
    }

    public function bidan()
	{
		$data['judul'] = 'Daftar Kader';
		 // Menyaring data berdasarkan role 'kader' untuk ditampilkan
         $data['data_bidan'] = $this->M_bidan->getBidan();  // Menampilkan data kader dari tabel users

		if ($this->input->post('keyword')) {
			$data['data_bidan'] = $this->M_bidan->cariDataKader();
		}
		$this->load->view('bidan/headerbidan',$data);
		$this->load->view('databidan/data_bidan', $data);
		$this->load->view('bidan/footerbidan');
	}

    public function kader()
	{
		$data['judul'] = 'Daftar Kader';
		 // Menyaring data berdasarkan role 'kader' untuk ditampilkan
         $data['data_bidan'] = $this->M_bidan->getBidan();  // Menampilkan data kader dari tabel users

		if ($this->input->post('keyword')) {
			$data['data_bidan'] = $this->M_bidan->cariDataKader();
		}
		$this->load->view('kader/headerkader',$data);
		$this->load->view('databidan/data_bidan', $data);
		$this->load->view('kader/footerkader');
	}
    
    public function tambah()
    {
        $data['judul'] = 'Form Tambah Data Bidan';
    
        // Validasi input
        $this->form_validation->set_rules('nama', 'Nama', 'required');
        $this->form_validation->set_rules('nik', 'Nik', 'required');
        $this->form_validation->set_rules('tempat_lahir', 'Tempat Lahir', 'required');
        $this->form_validation->set_rules('tanggal_lahir', 'Tanggal Lahir', 'required|callback_validate_date');
        $this->form_validation->set_rules('email', 'Email', 'required|valid_email');
        $this->form_validation->set_rules('alamat', 'Alamat', 'required');
        $this->form_validation->set_rules('agama', 'Agama', 'required');
        $this->form_validation->set_rules('pendidikan_terakhir', 'Pendidikan Terakhir', 'required');
        $this->form_validation->set_rules('no_hp', 'Nomor HP', 'required|numeric');
    
        if ($this->form_validation->run() == false) {
            // Cek role untuk menentukan header dan footer
            $role = $this->session->userdata('role');
            if ($role == 'admin') {
                $this->load->view('admin/headeradmin', $data);
            } elseif ($role == 'bidan') {
                $this->load->view('bidan/headerbidan', $data);
            } elseif ($role == 'kader') {
                $this->load->view('kader/headerkader', $data);
            }
    
            $this->load->view('databidan/tambah_bidan', $data);
    
            if ($role == 'admin') {
                $this->load->view('admin/footeradmin');
            } elseif ($role == 'bidan') {
                $this->load->view('bidan/footerbidan');
            } elseif ($role == 'kader') {
                $this->load->view('kader/footerkader');
            }
    
        } else {
            // Hitung usia dari tanggal lahir
            $tanggal_lahir = $this->input->post('tanggal_lahir');
            $tanggal_lahir_datetime = new DateTime($tanggal_lahir);
            $today = new DateTime();
            $usia = $today->diff($tanggal_lahir_datetime)->y;
    
            // Simpan data ke database melalui model
            $this->M_bidan->tambahDataBidan($usia);
    
            // Flash message
            $this->session->set_flashdata('flash', 'ditambahkan');
    
            // Redirect berdasarkan role
            $role = $this->session->userdata('role');
            if ($role == 'admin') {
                redirect('databidan/index');
            } elseif ($role == 'bidan') {
                redirect('databidan/bidan');
            } elseif ($role == 'kader') {
                redirect('databidan/kader');
            }
        }
    }
    


    private function hitungUmur($tanggal_lahir)
    {
        if ($tanggal_lahir) {
            $tanggal_lahir_datetime = new DateTime($tanggal_lahir);
            $today = new DateTime();
            return $today->diff($tanggal_lahir_datetime)->y; // Menghitung umur
        }
        return 0; // Jika tanggal lahir tidak valid
    }
    
	public function validate_date($date)
    {
        if (DateTime::createFromFormat('Y-m-d', $date) === false) {
            $this->form_validation->set_message('validate_date', 'Format {field} harus berupa YYYY-MM-DD.');
            return false;
        }
        return true;
    }

    public function hapus($id)
    {
        $this->M_bidan->hapusDataBidan($id);
        $this->session->set_flashdata('flash', 'dihapus');
        // Redirect based on user role
        $role = $this->session->userdata('role');
        if ($role == 'admin') {
            redirect('Databidan');
        } elseif ($role == 'bidan') {
            redirect('Databidan/bidan');
        } elseif ($role == 'kader') {
            redirect('Databidan/kader');
        }
    }

    public function ubah($id)
    {
        $data['judul'] = 'Form Ubah Data Bidan';
        $data['data_bidan'] = $this->M_bidan->getBidanById($id);

        if (empty($data['data_bidan'])) {
            $this->session->set_flashdata('error', 'Data Bidan tidak ditemukan.');
            redirect('Databidan');
        }

        // Set rules untuk validasi input
        $this->form_validation->set_rules('nama', 'Nama', 'required');
        $this->form_validation->set_rules('nik', 'Nik', 'required|alpha_numeric');
        $this->form_validation->set_rules('tempat_lahir', 'Tempat Lahir', 'required');
        $this->form_validation->set_rules('tanggal_lahir', 'Tanggal Lahir', 'required|callback_validate_date');
        $this->form_validation->set_rules('email', 'Email', 'required|valid_email');
        $this->form_validation->set_rules('alamat', 'Alamat', 'required');
        $this->form_validation->set_rules('agama', 'Agama', 'required');
        $this->form_validation->set_rules('pendidikan_terakhir', 'Pendidikan Terakhir', 'required');
        $this->form_validation->set_rules('no_hp', 'Nomor HP', 'required|numeric');

        if ($this->form_validation->run() == false) {
            // Cek role untuk menentukan header dan footer
            $role = $this->session->userdata('role');
            if ($role == 'admin') {
                $this->load->view('admin/headeradmin', $data);
            } elseif ($role == 'bidan') {
                $this->load->view('bidan/headerbidan', $data);
            } elseif ($role == 'kader') {
                $this->load->view('kader/headerkader', $data);
            }

            $this->load->view('databidan/ubah_bidan', $data);

            if ($role == 'admin') {
                $this->load->view('admin/footeradmin');
            } elseif ($role == 'bidan') {
                $this->load->view('bidan/footerbidan');
            } elseif ($role == 'kader') {
                $this->load->view('kader/footerkader');
            }
        } else {
            // Hitung usia berdasarkan tanggal lahir
            $tanggal_lahir = $this->input->post('tanggal_lahir');
            $tanggal_lahir_datetime = new DateTime($tanggal_lahir);
            $today = new DateTime();
            $usia = $today->diff($tanggal_lahir_datetime)->y;

            // Update data di database dengan usia
            $this->M_bidan->ubahDataBidan($id, $usia);
            $this->session->set_flashdata('flash', 'diubah');
            $role = $this->session->userdata('role');
			if ($role == 'admin') {
				redirect('Databidan');
			} elseif ($role == 'bidan') {
				redirect('Databidan/bidan');
			} elseif ($role == 'kader') {
				redirect('Databidan/kader');
			}
        }
    }

    public function profil($id)
    {
        // Mendapatkan data role pengguna yang login dari session
        $role = $this->session->userdata('role');  // Pastikan 'role' ada di session

        // Menentukan header berdasarkan role
        if ($role == 'admin') {
            $header = 'admin/headeradmin'; // Untuk admin
        } elseif ($role == 'bidan') {
            $header = 'bidan/headerbidan'; // Untuk bidan
        } else {
            $header = 'kader/headerkader'; // Untuk kader
        }

        $data['judul'] = 'Profil Bidan';
        $data['bidan'] = $this->M_bidan->getUserById($id); // Ambil data pengguna berdasarkan username

        if ($data['bidan']) {
            // Hitung umur hanya jika data pengguna ada
            $data['user']['umur'] = $this->hitungUmur($data['bidan']['tanggal_lahir']);
        } else {
            $this->session->set_flashdata('error', 'Data pengguna tidak ditemukan.');
            redirect('databidan');  // Redirect ke halaman data kader jika tidak ditemukan
            return;
        }

        $this->load->view($header, $data);  // Memuat header sesuai role
        $this->load->view('databidan/profil', $data);
        $this->load->view('admin/footeradmin');
    }
    
    
}
?>
