<?php
class Datakader extends CI_Controller
{

	public function __construct()
    {
        parent::__construct();
        $this->load->library('auth');
        $this->auth->check_login();
        setlocale(LC_TIME, 'id_ID.UTF-8', 'Indonesian', 'id_ID');
        $this->load->model('M_kader');
        
    }
	
	public function index()
	{
		$data['judul'] = 'Daftar Kader';
		 // Menyaring data berdasarkan role 'kader' untuk ditampilkan
         $data['data_kader'] = $this->M_kader->getKader();  // Menampilkan data kader dari tabel users

		if ($this->input->post('keyword')) {
			$data['data_kader'] = $this->M_kader->cariDataKader();
		}
		$this->load->view('admin/headeradmin',$data);
		$this->load->view('datakader/data_kader', $data);
		$this->load->view('admin/footeradmin');
	}

    public function bidan()
	{
		$data['judul'] = 'Daftar Kader';
		 // Menyaring data berdasarkan role 'kader' untuk ditampilkan
         $data['data_kader'] = $this->M_kader->getKader();  // Menampilkan data kader dari tabel users

		if ($this->input->post('keyword')) {
			$data['data_kader'] = $this->M_kader->cariDataKader();
		}
		$this->load->view('bidan/headerbidan',$data);
		$this->load->view('datakader/data_kader', $data);
		$this->load->view('bidan/footerbidan');
	}

    public function kader()
	{
		$data['judul'] = 'Daftar Kader';
		 // Menyaring data berdasarkan role 'kader' untuk ditampilkan
         $data['data_kader'] = $this->M_kader->getKader();  // Menampilkan data kader dari tabel users

		if ($this->input->post('keyword')) {
			$data['data_kader'] = $this->M_kader->cariDataKader();
		}
		$this->load->view('kader/headerkader',$data);
		$this->load->view('datakader/data_kader', $data);
		$this->load->view('kader/footerkader');
	}

    private function hitungUmur($tanggal_lahir)
    {
        if ($tanggal_lahir) {
            $tanggal_lahir_datetime = new DateTime($tanggal_lahir);
            $today = new DateTime();
            return $today->diff($tanggal_lahir_datetime)->y; // Menghitung umur
        }
        return 0; // Jika tanggal lahir tidak valid
    }

	public function validate_date($date)
    {
        if (DateTime::createFromFormat('Y-m-d', $date) === false) {
            $this->form_validation->set_message('validate_date', 'Format {field} harus berupa YYYY-MM-DD.');
            return false;
        }
        return true;
    }

    public function profil($id)
    {
        // Mendapatkan data role pengguna yang login dari session
        $role = $this->session->userdata('role');  // Pastikan 'role' ada di session

        // Menentukan header berdasarkan role
        if ($role == 'admin') {
            $header = 'admin/headeradmin'; // Untuk admin
        } elseif ($role == 'bidan') {
            $header = 'bidan/headerbidan'; // Untuk bidan
        } else {
            $header = 'kader/headerkader'; // Untuk kader
        }

        $data['judul'] = 'Profil Kader';
        $data['kader'] = $this->M_kader->getKaderById($id); // Ambil data pengguna berdasarkan username

        if ($data['kader']) {
            // Hitung umur hanya jika data pengguna ada
            $data['user']['umur'] = $this->hitungUmur($data['kader']['tanggal_lahir']);
        } else {
            $this->session->set_flashdata('error', 'Data pengguna tidak ditemukan.');
            redirect('datakader');  // Redirect ke halaman data kader jika tidak ditemukan
            return;
        }

        $this->load->view($header, $data);  // Memuat header sesuai role
        $this->load->view('datakader/profil', $data);
        $this->load->view('admin/footeradmin');
    }



    public function tambah()
{
    $data['judul'] = 'Form Tambah Data Kader';

    // Set rules untuk validasi input
    $this->form_validation->set_rules('nama', 'Nama', 'required');
    $this->form_validation->set_rules('nik', 'NIK', 'required|alpha_numeric');
    $this->form_validation->set_rules('tempat_lahir', 'Tempat Lahir', 'required');
    $this->form_validation->set_rules('tanggal_lahir', 'Tanggal Lahir', 'required');
    $this->form_validation->set_rules('email', 'Email', 'required|valid_email');
    $this->form_validation->set_rules('alamat', 'Alamat', 'required');
    $this->form_validation->set_rules('agama', 'Agama', 'required');
    $this->form_validation->set_rules('pendidikan_terakhir', 'Pendidikan Terakhir', 'required');
    $this->form_validation->set_rules('no_hp', 'Nomor HP', 'required|numeric');

    if ($this->form_validation->run() == false) {
        $role = $this->session->userdata('role');
        if ($role == 'admin') {
            $this->load->view('admin/headeradmin', $data);
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/headerbidan', $data);
        } elseif ($role == 'kader') {
            $this->load->view('kader/headerkader', $data);
        }
        $this->load->view('datakader/tambah_kader', $data);
        if ($role == 'admin') {
            $this->load->view('admin/footeradmin');
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/footerbidan');
        } elseif ($role == 'kader') {
            $this->load->view('kader/footerkader');
        }
    } else {
        // Validasi NIK tidak boleh duplikat
        $nik = $this->input->post('nik');
        $cek_nik = $this->db->get_where('data_kader', ['nik' => $nik])->num_rows();

        if ($cek_nik > 0) {
            $this->session->set_flashdata('error', 'NIK sudah terdaftar!');
            redirect('Datakader/tambah');
        } else {
            // Hitung usia
            $tanggal_lahir = $this->input->post('tanggal_lahir');
            $tanggal_lahir_datetime = new DateTime($tanggal_lahir);
            $today = new DateTime();
            $usia = $today->diff($tanggal_lahir_datetime)->y;

            // Tambahkan data ke database
            $this->M_kader->tambahDataKader($usia);

            $this->session->set_flashdata('flash', 'ditambahkan');

            // Redirect based on user role
            $role = $this->session->userdata('role');
            if ($role == 'admin') {
                redirect('Datakader');
            } elseif ($role == 'bidan') {
                redirect('Datakader/bidan');
            } elseif ($role == 'kader') {
                redirect('Datakader/kader'); // <- diperbaiki dari 'Dataader'
            }
        }
    }
}

    public function hapus($id)
    {
        $this->M_kader->hapusDataKader($id);
        $this->session->set_flashdata('flash', 'dihapus');
        
        // Redirect based on user role
        $role = $this->session->userdata('role');
        if ($role == 'admin') {
            redirect('Datakader');
        } elseif ($role == 'bidan') {
            redirect('Datakader/bidan');
        } elseif ($role == 'kader') {
            redirect('Datakader/kader');
        }
    }

    public function ubah($id)
{
    $data['judul'] = 'Form Ubah Data Kader';
    $data['data_kader'] = $this->M_kader->getKaderById($id);

    if (empty($data['data_kader'])) {
        $this->session->set_flashdata('error', 'Data Kader tidak ditemukan.');
        redirect('Datakader');
    }

    // Validasi form
    $this->form_validation->set_rules('nama', 'Nama', 'required');
    $this->form_validation->set_rules('nik', 'Nik', 'required|alpha_numeric');
    $this->form_validation->set_rules('tempat_lahir', 'Tempat lahir', 'required');
    $this->form_validation->set_rules('tanggal_lahir', 'Tanggal Lahir', 'required');
    $this->form_validation->set_rules('email', 'Email', 'required|valid_email');
    $this->form_validation->set_rules('alamat', 'Alamat', 'required');
    $this->form_validation->set_rules('agama', 'Agama', 'required');
    $this->form_validation->set_rules('pendidikan_terakhir', 'Pendidikan Terakhir', 'required');
    $this->form_validation->set_rules('no_hp', 'Nomor HP', 'required|numeric');

    if ($this->form_validation->run() == false) {
        // Ambil role pengguna dari session
        $role = $this->session->userdata('role');

        // Load header sesuai role
        if ($role == 'admin') {
            $this->load->view('admin/headeradmin', $data);
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/headerbidan', $data);
        } elseif ($role == 'kader') {
            $this->load->view('kader/headerkader', $data);
        }

        // Load halaman ubah_kader
        $this->load->view('datakader/ubah_kader', $data);

        // Load footer sesuai role
        if ($role == 'admin') {
            $this->load->view('admin/footeradmin', $data);
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/footerbidan', $data);
        } elseif ($role == 'kader') {
            $this->load->view('kader/footerkader', $data);
        }
    } else {
        $tanggal_lahir = $this->input->post('tanggal_lahir');
        $tanggal_lahir_datetime = new DateTime($tanggal_lahir);
        $today = new DateTime();
        $usia = $today->diff($tanggal_lahir_datetime)->y;

        // Update data kader dengan usia
        $this->M_kader->ubahDataKader($id, $usia);
        $this->session->set_flashdata('flash', 'diubah');

        $role = $this->session->userdata('role');
        if ($role == 'admin') {
            redirect('Datakader');
        } elseif ($role == 'bidan') {
            redirect('Datakader/bidan');
        } elseif ($role == 'kader') {
            redirect('Datakader/kader');
        }
    }
}



}
?>