<?php
class Datalansia extends CI_Controller
{

	public function __construct()
    {
        parent::__construct();
		$this->load->library('auth');
		$this->auth->check_login();
		setlocale(LC_TIME, 'id_ID.UTF-8', 'Indonesian', 'id_ID');
        $this->load->model('M_lansia');
		$this->load->model('M_riwayat');
        
    }
	
	public function index()
	{
		$data['judul'] = 'Daftar Lansia';
		$data['data_lansia'] = $this->M_lansia->getLansia();
		$data['total_laki_laki'] = $this->M_lansia->countLakiLaki();
   		$data['total_perempuan'] = $this->M_lansia->countPerempuan();
		if ($this->input->post('keyword')) {
			$data['data_lansia'] = $this->M_lansia->cariDataLansia();
		}
		$this->load->view('admin/headeradmin',$data);
		$this->load->view('datauser/data_lansiaAdmin', $data);
		$this->load->view('admin/footeradmin');
	}

    public function bidan()
	{
		$data['judul'] = 'Daftar Lansia';
		$data['data_lansia'] = $this->M_lansia->getLansia();
		if ($this->input->post('keyword')) {
			$data['data_lansia'] = $this->M_lansia->cariDataLansia();
		}
		$this->load->view('bidan/headerbidan',$data);
		$this->load->view('datauser/data_lansiabidan', $data);
		$this->load->view('bidan/footerbidan');
	}

    public function kader()
	{
		$data['judul'] = 'Daftar Lansia';
		$data['data_lansia'] = $this->M_lansia->getLansia();
		if ($this->input->post('keyword')) {
			$data['data_lansia'] = $this->M_lansia->cariDataLansia();
		}
		$this->load->view('kader/headerkader',$data);
		$this->load->view('datauser/data_lansia', $data);
		$this->load->view('kader/footerkader');
	}

	public function data_lengkap($nik)
    {
        $data['judul'] = 'Data Lengkap Lansia';
        $data['lansia'] = $this->M_lansia->getByKK($nik); // Fungsi getByKK di model M_lansia

        if (empty($data['lansia'])) {
            show_404();
        } else {
			$data['lansia']['umur'] = $this->hitungUmur($data['lansia']['tanggal_lahir']);
            // Tentukan header/footer berdasarkan role
			$role = $this->session->userdata('role');
			if ($role == 'admin') {
				$this->load->view('admin/headeradmin', $data);
			} elseif ($role == 'bidan') {
				$this->load->view('bidan/headerbidan', $data);
			} elseif ($role == 'kader') {
				$this->load->view('kader/headerkader', $data);
			} else {
				redirect('login');
			}
		
			// Render konten riwayat
			$this->load->view('datauser/data_lengkap', $data);
		
			// Footer sesuai role
			if ($role == 'admin') {
				$this->load->view('admin/footeradmin');
			} elseif ($role == 'bidan') {
				$this->load->view('bidan/footerbidan');
			} elseif ($role == 'kader') {
				$this->load->view('kader/footerkader');
			}
        }
    }

		// Fungsi menampilkan Riwayat Kesehatan Lansia
		public function riwayat_kesehatan($nik)
		{
			$data['judul'] = 'Riwayat Kesehatan';
			
			// Ambil data lansia dan riwayat
			$data['lansia'] = $this->M_lansia->getByKK($nik);
			$data['riwayat_kesehatan'] = $this->M_riwayat->getRiwayatByNIK($nik);
		
			// Pesan kalau belum ada riwayat
			if (empty($data['riwayat_kesehatan'])) {
				$data['message'] = 'Belum ada data riwayat kesehatan untuk lansia ini.';
			}
		
			// Tentukan header/footer berdasarkan role
			$role = $this->session->userdata('role');
			if ($role == 'admin') {
				$this->load->view('admin/headeradmin', $data);
			} elseif ($role == 'bidan') {
				$this->load->view('bidan/headerbidan', $data);
			} elseif ($role == 'kader') {
				$this->load->view('kader/headerkader', $data);
			} else {
				redirect('login');
			}
		
			// Render konten riwayat
			$this->load->view('datauser/riwayat_kesehatan', $data);
		
			// Footer sesuai role
			if ($role == 'admin') {
				$this->load->view('admin/footeradmin');
			} elseif ($role == 'bidan') {
				$this->load->view('bidan/footerbidan');
			} elseif ($role == 'kader') {
				$this->load->view('kader/footerkader');
			}
		}
		

// 	public function pilihlansia()
// {
//     // Cek role pengguna
//     $role = $this->session->userdata('role');
    
//     // Set judul untuk halaman
//     $data['judul'] = 'Pilih Lansia untuk Tambah Riwayat';
//     $data['data_lansia'] = $this->M_lansia->getLansia(); // Pastikan method ini sudah ada di model M_lansia

//     // Load header sesuai role
//     if ($role == 'admin') {
//         $this->load->view('admin/headeradmin', $data);  // Header untuk admin
//     } elseif ($role == 'bidan') {
//         $this->load->view('bidan/headerbidan', $data);  // Header untuk bidan
//     } elseif ($role == 'kader') {
//         $this->load->view('kader/headerkader', $data);  // Header untuk kader
//     } else {
//         redirect('login'); // Jika tidak ada role yang cocok, arahkan ke halaman login
//     }

//     // Load view untuk memilih lansia
//     $this->load->view('datauser/pilih_lansia', $data);

//     // Load footer sesuai role
//     if ($role == 'admin') {
//         $this->load->view('admin/footeradmin');  // Footer untuk admin
//     } elseif ($role == 'bidan') {
//         $this->load->view('bidan/footerbidan');  // Footer untuk bidan
//     } elseif ($role == 'kader') {
//         $this->load->view('kader/footerkader');  // Footer untuk kader
//     }
// }


public function tambah_riwayat($nik)
{
    // ambil data
    $data['judul']    = 'Tambah Riwayat Kesehatan';
    $data['lansia']   = $this->M_lansia->getByKK($nik);

    // validasi
    $this->form_validation->set_rules('tanggal_periksa', 'Tanggal Periksa', 'required');
    $this->form_validation->set_rules('bb', 'Berat Badan', 'required|numeric');
    $this->form_validation->set_rules('tekanan_darah', 'Tekanan Darah', 'required');
    $this->form_validation->set_rules('kolesterol', 'Kolesterol', 'required|numeric');
    $this->form_validation->set_rules('asam_urat', 'Asam Urat', 'required|numeric');
    $this->form_validation->set_rules('gula_darah', 'Gula Darah', 'required|numeric');

    // jika belum submit atau validasi gagal
    if ($this->form_validation->run() == false) {
        $role = $this->session->userdata('role');

        // load header sesuai role, kirim $data biar <title> muncul
        if ($role == 'admin') {
            $this->load->view('admin/headeradmin', $data);
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/headerbidan', $data);
        } elseif ($role == 'kader') {
            $this->load->view('kader/headerkader', $data);
        } else {
            redirect('login');
        }

        // konten form
        $this->load->view('datauser/tambah_riwayat', $data);

        // footer sesuai role
        if ($role == 'admin') {
            $this->load->view('admin/footeradmin');
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/footerbidan');
        } elseif ($role == 'kader') {
            $this->load->view('kader/footerkader');
        }
    } 
    // jika valid
    else {
        $this->M_riwayat->tambahRiwayat($nik);  // <--- logika sehat/tidak sehat dikerjakan di sini
        $this->session->set_flashdata('flash', 'ditambahkan');
        redirect('Absensi/daftar_hadir/'.$nik);
    }
}



	// Fungsi untuk menentukan keterangan otomatis
	private function generateKeterangan($tekanan_darah, $kolesterol, $asam_urat, $gula_darah)
	{
		$keterangan = [];

		// Menentukan kategori tekanan darah
		$td = explode("/", $tekanan_darah);
		if (isset($td[0]) && isset($td[1])) {
			$sistolik = (int)$td[0];
			$diastolik = (int)$td[1];

			if ($sistolik < 90 || $diastolik < 60) {
				$keterangan[] = "Tekanan darah rendah";
			} elseif ($sistolik > 130 || $diastolik > 80) {
				$keterangan[] = "Tekanan darah tinggi";
			} else {
				$keterangan[] = "Tekanan darah normal";
			}
		}

		// Menentukan kategori kolesterol
		if ($kolesterol < 200) {
			$keterangan[] = "Kolesterol normal";
		} elseif ($kolesterol >= 200 && $kolesterol <= 239) {
			$keterangan[] = "Kolesterol batas tinggi";
		} else {
			$keterangan[] = "Kolesterol tinggi";
		}

		// Menentukan kategori asam urat
		if ($asam_urat < 3.4) {
			$keterangan[] = "Asam urat rendah";
		} elseif ($asam_urat > 7.0) {
			$keterangan[] = "Asam urat tinggi";
		} else {
			$keterangan[] = "Asam urat normal";
		}

		// Menentukan kategori gula darah
		if ($gula_darah < 70) {
			$keterangan[] = "Gula darah rendah";
		} elseif ($gula_darah > 200) {
			$keterangan[] = "Gula darah tinggi";
		} else {
			$keterangan[] = "Gula darah normal";
		}

		return implode(", ", $keterangan);
	}


	private function hitungUmur($tanggal_lahir) {
		$today = new DateTime();
		$birthdate = new DateTime($tanggal_lahir);
		$age = $today->diff($birthdate)->y;
		return $age;
	}
	

	public function tambah()
	{
		$this->load->helper(array('form', 'url'));
		$data['judul'] = 'Form Tambah Data Lansia';
		
		$this->form_validation->set_rules('nik','Nik', 'required|numeric');
		$this->form_validation->set_rules('nama','Nama', 'required');
		$this->form_validation->set_rules('nama_panggilan','Nama_panggilan', 'required');
		$this->form_validation->set_rules('jkelamin', 'Jkelamin','required');
		$this->form_validation->set_rules('tempat_lahir', 'Tempat_lahir','required');
		$this->form_validation->set_rules('tanggal_lahir', 'Tanggal_lahir','required');
		$this->form_validation->set_rules('alamat', 'Alamat','required');
		$this->form_validation->set_rules('pekerjaan', 'Pekerjaan','required');
		$this->form_validation->set_rules('statuskawin', 'Statuskawin','required');
		$this->form_validation->set_rules('tempat_tinggal', 'Tempat_tinggal','required');
		$this->form_validation->set_rules('agama', 'Agama','required');
		$this->form_validation->set_rules('pend_terakhir', 'Pend_terakhir','required');

		if($this->form_validation->run() == false){
			$role = $this->session->userdata('role');
	
			// Load header sesuai role
			if ($role == 'admin') {
				$this->load->view('admin/headeradmin', $data);
			} elseif ($role == 'bidan') {
				$this->load->view('bidan/headerbidan', $data);
			} elseif ($role == 'kader') {
				$this->load->view('kader/headerkader', $data);
			} else {
				redirect('login'); // Jika tidak ada role
			}
	
			// Load form tambah lansia
			$this->load->view('datauser/tambah_lansia', $data);
	
			// Load footer sesuai role
			if ($role == 'admin') {
				$this->load->view('admin/footeradmin');
			} elseif ($role == 'bidan') {
				$this->load->view('bidan/footerbidan');
			} elseif ($role == 'kader') {
				$this->load->view('kader/footerkader');
			}
		}
		else{
			$this->M_lansia->tambahDataLansia();
			$this->session->set_flashdata('flash', 'ditambahkan');
			
			// Redirect berdasarkan role
			$role = $this->session->userdata('role');
			if ($role == 'admin') {
				redirect('Datalansia');
			} elseif ($role == 'bidan') {
				redirect('Datalansia/bidan');
			} elseif ($role == 'kader') {
				redirect('Datalansia/kader');
			}
		}
	}

	public function hapus($nik)
	{
		$this->M_lansia->hapusDataLansia($nik);
    $this->session->set_flashdata('flash', 'dihapus');
    
    // Redirect berdasarkan role
    $role = $this->session->userdata('role');
    if ($role == 'admin') {
        redirect('Datalansia');
    } elseif ($role == 'bidan') {
        redirect('Datalansia/bidan');
    } elseif ($role == 'kader') {
        redirect('Datalansia/kader');
    }
}


public function ubah($nik)
{
    $data['judul'] = 'Form Ubah Data Lansia';
    $data['data_lansia'] = $this->M_lansia->getByKK($nik);

    // Validasi
    $this->form_validation->set_rules('nama','Nama', 'required');
    $this->form_validation->set_rules('jkelamin', 'Jenis Kelamin','required');
	 $this->form_validation->set_rules('tempat_lahir', 'Tempat Lahir','required');
     $this->form_validation->set_rules('tanggal_lahir', 'Tanggal Lahir','required');
     $this->form_validation->set_rules('alamat', 'Alamat','required');
     $this->form_validation->set_rules('pekerjaan', 'Pekerjaan','required');
     $this->form_validation->set_rules('statuskawin', 'Status Perkawinan','required');
     $this->form_validation->set_rules('tempat_tinggal', 'Tempat Tinggal','required');
     $this->form_validation->set_rules('agama', 'Agama','required');
     $this->form_validation->set_rules('pend_terakhir', 'Pendidikan Terakhir','required');

    if ($this->form_validation->run() == false) {
        // Menampilkan pesan kesalahan jika form tidak valid
        echo validation_errors();
        
        // Menampilkan header dan footer sesuai role
        $role = $this->session->userdata('role');
        if ($role == 'admin') {
            $this->load->view('admin/headeradmin', $data);
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/headerbidan', $data);
        } elseif ($role == 'kader') {
            $this->load->view('kader/headerkader', $data);
        }
        
        $this->load->view('datauser/edit_lansia', $data);
        
        if ($role == 'admin') {
            $this->load->view('admin/footeradmin');
        } elseif ($role == 'bidan') {
            $this->load->view('bidan/footerbidan');
        } elseif ($role == 'kader') {
            $this->load->view('kader/footerkader');
        }
    } else {
        // Jika validasi form berhasil, lanjutkan untuk mengubah data
        $this->M_lansia->ubahDataLansia($nik);
        $this->session->set_flashdata('flash', 'diubah');

        // Redirect sesuai role
        $role = $this->session->userdata('role');
        if ($role == 'admin') {
            redirect('Datalansia');
        } elseif ($role == 'bidan') {
            redirect('Datalansia/bidan');
        } elseif ($role == 'kader') {
            redirect('Datalansia/kader');
        }
    }
}

}
