<?php
class Login extends CI_Controller {
    public function __construct() {
        parent::__construct();
        $this->load->model('User_model');
    }

    public function index() {
        $this->load->view('login');
    }

    public function process() {
        // Ambil input dari form
        $username = $this->input->post('username');
        $password = $this->input->post('password');
    
        
        // Panggil fungsi untuk memeriksa login
        $user = $this->User_model->verify_user($username, $password);
    
        if ($user) {
            // Set session untuk user yang berhasil login
            $this->session->set_userdata('user_id', $user->id);
            $this->session->set_userdata('role', $user->role);
            $this->session->set_userdata('logged_in', true);

    
            // Redirect sesuai dengan role
            if ($user->role == 'admin') {
                redirect('admin/dashboard');
            } elseif ($user->role == 'bidan') {
                redirect('bidan/dashboard');
            } elseif ($user->role == 'kader') {
                redirect('kader/dashboard');
            }
        } else {
            // Jika login gagal
            $this->session->set_flashdata('error', 'Username atau password salah.');
            redirect('login');
        }
    }
    

    public function logout() {
        // Hapus session
        $this->session->unset_userdata('username');
        $this->session->unset_userdata('role');
        $this->session->sess_destroy();

        // Redirect ke halaman login setelah logout
        redirect('login');
    }
}
?>
