<?php
class Riwayat extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->model('M_riwayat');
        $this->load->helper('url');
    }

    public function index() {
    $this->load->model('M_riwayat');

    $bulan = $this->input->get('bulan') ?? date('m');
    $tahun = $this->input->get('tahun') ?? date('Y');

    $data['bulan'] = $bulan;
    $data['tahun'] = $tahun;
    $data['judul'] = 'Data Riwayat Kesehatan Lansia';

    $data['riwayat_kesehatan'] = $this->M_riwayat->get_filtered_riwayat($bulan, $tahun);

    $role = $this->session->userdata('role'); // 'admin', 'bidan', atau 'kader'
    $this->load->view("bidan/headerbidan", $data); // contoh: bidan/headerbidan.php
    $this->load->view('riwayat/index', $data);
    $this->load->view("bidan/footerbidan");
}


    public function beri_catatan() {
    if ($this->input->post()) {
        $id = $this->input->post('id');
        $catatan = $this->input->post('catatan_bidan');
        $this->M_riwayat->update_catatan($id, $catatan);

        $this->session->set_flashdata('flash', '<div class="alert alert-success">Catatan berhasil disimpan.</div>');
        redirect('riwayat');
    }
}
public function semua() {
    $this->load->model('M_riwayat');

    $bulan = $this->input->get('bulan');
    $tahun = $this->input->get('tahun');
    $tanggal_lengkap = $this->input->get('tanggal_lengkap');

    $data['judul'] = 'Seluruh Riwayat Kesehatan Lansia';
    $data['bulan'] = $bulan;
    $data['tahun'] = $tahun;
    $data['tanggal_lengkap'] = $tanggal_lengkap;

    // Ambil semua tanggal unik
    $this->db->select('tanggal_periksa');
    if ($bulan) $this->db->where('MONTH(tanggal_periksa)', $bulan);
    if ($tahun) $this->db->where('YEAR(tanggal_periksa)', $tahun);
    $this->db->group_by('tanggal_periksa');
    $this->db->order_by('tanggal_periksa', 'DESC');
    $hasil = $this->db->get('riwayat_kesehatan')->result();
    $data['semua_tanggal'] = array_map(function($r) {
        return $r->tanggal_periksa;
    }, $hasil);

    // Ambil data riwayat berdasarkan filter
    if ($tanggal_lengkap) {
        $data['riwayat_kesehatan'] = $this->M_riwayat->get_filtered_by_date($tanggal_lengkap);
    } elseif ($bulan && $tahun) {
        $data['riwayat_kesehatan'] = $this->M_riwayat->get_filtered_riwayat($bulan, $tahun);
    } else {
        $data['riwayat_kesehatan'] = $this->M_riwayat->get_all_riwayat(); // tanpa filter
    }

    $this->load->view("bidan/headerbidan", $data);
    $this->load->view('riwayat/semua', $data); // view khusus semua data
    $this->load->view("bidan/footerbidan");
}


}
