<?php
defined('BASEPATH') or exit('No direct script access allowed');

class M_kader extends CI_Model
{
    // Mengambil semua data kader
    // public function getKader()
    // {
    //     return $this->db->get('data_kader')->result_array(); // Ambil semua data dari tabel kader
    // }

    public function getUsersByRole($role)
    {
        // Ambil data dari tabel users berdasarkan role
        $this->db->where('role', $role);  // Memfilter berdasarkan role 'kader'
        return $this->db->get('users')->result_array();  // Mengambil semua data yang sesuai
    }
    public function getUserByUsername($username)
    {
        $this->db->where('username', $username);
        return $this->db->get('users')->row_array(); // Mengambil data dari tabel users berdasarkan username
    }
    

    public function hapusDataKader($id)
    {
        $this->db->where('id', $id);
        return $this->db->delete('data_kader');
    }

    public function getKaderById($id)
    {
        $this->db->where('id', $id);
        return $this->db->get('data_kader')->row_array();
    }

    public function getBidan()
    {
        return $this->db->get('data_bidan')->result_array();
    }

    public function getKader()
    {
        return $this->db->get('data_kader')->result_array();
    }
    public function tambahDataKader($usia)
{
    $data = [
        'nama' => $this->input->post('nama', true),
        'nik' => $this->input->post('nik', true),
        'tempat_lahir' => $this->input->post('tempat_lahir', true),
        'tanggal_lahir' => $this->input->post('tanggal_lahir', true),
        'email' => $this->input->post('email', true),
        'alamat' => $this->input->post('alamat', true),
        'agama' => $this->input->post('agama', true),
        'pendidikan_terakhir' => $this->input->post('pendidikan_terakhir', true),
        'no_hp' => $this->input->post('no_hp', true),
        'usia' => $usia
    ];

    $this->db->insert('data_kader', $data);
}

    public function ubahDataKader($id, $usia)
    {
        $data = [
            'nama' => $this->input->post('nama'),
            'nik' => $this->input->post('nik'),
            'tempat_lahir' => $this->input->post('tempat_lahir'),
            'tanggal_lahir' => $this->input->post('tanggal_lahir'),
            'usia' => $usia,
            'email' => $this->input->post('email'),
            'alamat' => $this->input->post('alamat'),
            'agama' => $this->input->post('agama'),
            'pendidikan_terakhir' => $this->input->post('pendidikan_terakhir'),
            'no_hp' => $this->input->post('no_hp'),
        ];

        $this->db->where('id', $id); // Pastikan kolom ID sesuai
        $this->db->update('data_kader', $data);
    }


    public function cariDataKader()
    {
        $keyword = $this->input->post('keyword');

        // Filter data berdasarkan role "kader"
        $this->db->where('role', 'kader'); 

        // Menambahkan kondisi pencarian dengan like
        $this->db->group_start(); // Mulai grouping kondisi LIKE
        $this->db->like('nama', $keyword);
        $this->db->or_like('username', $keyword);
        $this->db->or_like('tempat_lahir', $keyword);
        $this->db->or_like('tanggal_lahir', $keyword);
        $this->db->or_like('email', $keyword);
        $this->db->or_like('alamat', $keyword);
        $this->db->or_like('agama', $keyword);
        $this->db->or_like('pendidikan_terakhir', $keyword);
        $this->db->or_like('no_hp', $keyword);
        $this->db->group_end(); // Tutup grouping kondisi LIKE

        return $this->db->get('data_kader')->result_array();
    }

    // public function getKaderByUsername($username)
    // {
    //     $this->db->where('username', $username);
    //     return $this->db->get('users')->row_array();
    // }
}


