<?php
class M_lansia extends CI_model
{

	public function getLansia()
	{
		return $this->db->get('data_lansia')->result_array();

	}

	public function tambahDataLansia()
	{
		$data = array(
			'nik' => $this->input->post('nik'),
			'nama' => $this->input->post('nama'),
			'nama_panggilan' => $this->input->post('nama_panggilan'),
			'jkelamin' => $this->input->post('jkelamin'),
			'tempat_lahir' => $this->input->post('tempat_lahir'),
			'tanggal_lahir' => $this->input->post('tanggal_lahir'),
			'alamat' => $this->input->post('alamat'),
			'pekerjaan' => $this->input->post('pekerjaan'),
			'statuskawin' => $this->input->post('statuskawin'),
			'tempat_tinggal' => $this->input->post('tempat_tinggal'),
			'agama' => $this->input->post('agama'),
			'pend_terakhir' => $this->input->post('pend_terakhir'),
			'keterangan' => $this->input->post('keterangan'),
		);

		return $this->db->insert('data_lansia',$data);
	}

	public function hapusDataLansia($nik)
	{

		$this->db->where('nik',$this->uri->segment(3));
		return $this->db->delete('data_lansia');
	}

	public function getByKK($nik)
	{
 
		$this->db->where('nik', $nik);
		return $this->db->get('data_lansia')->row_array();
	}

	public function ubahDataLansia($nik)
{
    $data = array(
        'nik' => $this->input->post('nik'),
        'nama' => $this->input->post('nama'),
        'nama_panggilan' => $this->input->post('nama_panggilan'),
        'jkelamin' => $this->input->post('jkelamin'),
        'tempat_lahir' => $this->input->post('tempat_lahir'),
        'tanggal_lahir' => $this->input->post('tanggal_lahir'),
        'alamat' => $this->input->post('alamat'),
        'pekerjaan' => $this->input->post('pekerjaan'),
        'statuskawin' => $this->input->post('statuskawin'),
        'tempat_tinggal' => $this->input->post('tempat_tinggal'),
        'agama' => $this->input->post('agama'),
        'pend_terakhir' => $this->input->post('pend_terakhir'),
        'keterangan' => $this->input->post('keterangan'),
    );

    // Pastikan data yang dikirim sudah benar
    if ($this->db->where('nik', $nik)->update('data_lansia', $data)) {
        return true;
    }
    return false;
}



	public function cariDataLansia()
	{
		$keyword = $this->input->post('keyword');

		$this->db->like('nik', $keyword);
		$this->db->or_like('nama',$keyword);
		$this->db->or_like('nama_panggilan',$keyword);
		$this->db->or_like('jkelamin',$keyword);
		$this->db->or_like('tempat_lahir',$keyword);
		$this->db->or_like('tanggal_lahir', $keyword);
		$this->db->or_like('alamat',$keyword);
		$this->db->or_like('pekerjaan',$keyword);
		$this->db->or_like('statuskawin',$keyword);
		$this->db->or_like('tempat_tinggal',$keyword);
		$this->db->or_like('agama',$keyword);
		$this->db->or_like('pend_terakhir',$keyword);
		$this->db->or_like('keterangan',$keyword);
		
		return $this->db->get('data_lansia')->result_array();
	}

	public function countLansia() {
        return $this->db->count_all('data_lansia'); // 'tb_lansia' adalah nama tabel lansia Anda
    }
	
	public function countLakiLaki() {
		$this->db->where('jkelamin', 'Laki-laki'); // Sesuaikan nilai 'Laki-laki' dengan data di database
		return $this->db->count_all_results('data_lansia');
	}

	public function countPerempuan() {
		$this->db->where('jkelamin', 'Perempuan'); // Sesuaikan nilai 'Perempuan' dengan data di database
		return $this->db->count_all_results('data_lansia');
	}
	 // Fungsi untuk mengambil total lansia yang sehat
	 public function get_total_sehat() {
        $this->db->where('keterangan', 'Sehat');
        return $this->db->count_all_results('data_lansia');
    }

    // Fungsi untuk mengambil total lansia yang tidak sehat
    public function get_total_tidak_sehat() {
        $this->db->where('keterangan', 'Tidak Sehat');
        return $this->db->count_all_results('data_lansia');
    }

	public function getLansiaByTanggal($tanggal) {
		$this->db->select('data_lansia.nama, TIMESTAMPDIFF(YEAR, data_lansia.tanggal_lahir, CURDATE()) AS usia, 
						   riwayat_kesehatan.bb, riwayat_kesehatan.tekanan_darah, 
						   riwayat_kesehatan.kolesterol, riwayat_kesehatan.asam_urat, 
						   riwayat_kesehatan.gula_darah');
		$this->db->from('data_lansia');
		$this->db->join('riwayat_kesehatan', 'riwayat_kesehatan.nik = data_lansia.nik', 'left');
		$this->db->where('riwayat_kesehatan.tanggal_periksa', $tanggal);
		return $this->db->get()->result();
	}
	

}
