<?php
class M_riwayat extends CI_model
{
    public function getRiwayatByNIK($nik)
    {
        return $this->db->get_where('riwayat_kesehatan', ['nik' => $nik])->result_array();
    }

    public function tambahRiwayat($nik)
{
    $tanggal_periksa = $this->input->post('tanggal_periksa');
    $bb              = $this->input->post('bb');
    $tekanan_darah   = $this->input->post('tekanan_darah');
    $kolesterol      = $this->input->post('kolesterol');
    $asam_urat       = $this->input->post('asam_urat');
    $gula_darah      = $this->input->post('gula_darah');

    // Cek Kesehatan
    $status = 'Sehat'; // default sehat

    // Cek tekanan darah
    $tekanan = explode('/', $tekanan_darah);
    if (count($tekanan) == 2) {
        $sistolik = (int) $tekanan[0];
        $diastolik = (int) $tekanan[1];
        if ($sistolik > 130 || $diastolik > 90 || $sistolik < 90 || $diastolik < 60) {
            $status = 'Tidak Sehat';
        }
    } else {
        $status = 'Tidak Sehat'; // Format salah
    }

    // Cek kolesterol
    if ($kolesterol > 200) {
        $status = 'Tidak Sehat';
    }

    // Cek asam urat
    if ($asam_urat > 7) {
        $status = 'Tidak Sehat';
    }

    // Cek gula darah
    if ($gula_darah > 140) {
        $status = 'Tidak Sehat';
    }

    // Data yang mau disimpan ke tabel riwayat_lansia
    $data = [
        'nik'             => $nik,
        'tanggal_periksa' => $tanggal_periksa,
        'bb'              => $bb,
        'tekanan_darah'   => $tekanan_darah,
        'kolesterol'      => $kolesterol,
        'asam_urat'       => $asam_urat,
        'gula_darah'      => $gula_darah
    ];

    // Insert ke riwayat_lansia (tanpa kolom status_kesehatan)
    $this->db->insert('riwayat_kesehatan', $data);

    // Update tabel data_lansia kolom keterangan
    $this->db->where('nik', $nik);
    $this->db->update('data_lansia', ['keterangan' => $status]);
}


    public function hapusRiwayat($id)
    {
        return $this->db->delete('riwayat_kesehatan', ['id' => $id]);
    }

    public function getRiwayatByID($id)
    {
        return $this->db->get_where('riwayat_kesehatan', ['id' => $id])->row_array();
    }

    public function ubahRiwayat($id, $data)
    {
        return $this->db->update('riwayat_kesehatan', $data, ['id' => $id]);
    }

    public function get_filtered_riwayat($bulan, $tahun) {
    $this->db->select('riwayat_kesehatan.*, data_lansia.nama AS nama_lansia');
    $this->db->from('riwayat_kesehatan');
    $this->db->join('data_lansia', 'riwayat_kesehatan.nik = data_lansia.nik');

    if ($bulan && $tahun) {
        $this->db->where('MONTH(riwayat_kesehatan.tanggal_periksa)', $bulan);
        $this->db->where('YEAR(riwayat_kesehatan.tanggal_periksa)', $tahun);
    }

    return $this->db->get()->result();
}

public function get_filtered_by_date($tanggal) {
    $this->db->where('tanggal_periksa', $tanggal);
    return $this->db->get('riwayat_kesehatan')->result();
}

    public function update_catatan($id, $catatan) {
        $this->db->where('id', $id);
        $this->db->update('riwayat_kesehatan', ['catatan_bidan' => $catatan]);
    }
    
    public function get_all_riwayat() {
    return $this->db->order_by('tanggal_periksa', 'DESC')->get('riwayat_kesehatan')->result();
}

}
