<?php
class User_model extends CI_Model {
    // Fungsi untuk menyimpan pengguna baru
    public function insert_user($data) {
       
        return $this->db->insert('users', $data);
    }

    // Fungsi untuk mengecek apakah username sudah ada
    public function get_user_by_username($username) {
        $this->db->where('username', $username);
        return $this->db->get('users')->row();
    }

    // Fungsi untuk mengecek apakah NIK sudah ada
    public function get_user_by_nik($nik) {
        $this->db->where('nik', $nik);
        return $this->db->get('users')->row();
    }

    // Fungsi untuk verifikasi login
    public function verify_user($username, $password) {
        $this->db->where('username', $username);
        $user = $this->db->get('users')->row();

        if ($user && password_verify($password, $user->password)) {
            return $user;
        }
        return false;
    }




    

    // Fungsi untuk menyimpan pengguna baru
    

    // Fungsi untuk menghitung jumlah kader
    public function countKader()
    {
        $this->db->where('role', 'kader');
        return $this->db->count_all_results('users'); // Menghitung jumlah pengguna dengan role 'kader'
    }

    // Fungsi untuk menghitung jumlah bidan
    public function countBidan()
    {
        $this->db->where('role', 'bidan');
        return $this->db->count_all_results('users'); // Menghitung jumlah pengguna dengan role 'bidan'
    }

    // Fungsi untuk menghitung jumlah admin
    public function countAdmin()
    {
        $this->db->where('role', 'admin');
        return $this->db->count_all_results('users'); // Menghitung jumlah pengguna dengan role 'admin'
    }

    // Fungsi untuk menghitung total pengguna
    public function countTotalUsers()
    {
        return $this->db->count_all('users'); // Menghitung total semua pengguna
    }

    public function getAllUsers()
    {
        return $this->db->get('users')->result_array();
    }

    public function cariAkun($keyword)
    {
        $this->db->like('nama', $keyword);
        $this->db->or_like('username', $keyword);
        $this->db->or_like('role', $keyword);
        return $this->db->get('users')->result_array();
    }

    public function getUserById($id)
    {
        return $this->db->get_where('users', ['id' => $id])->row_array();
    }

    public function hapusUser($id)
    {
        $this->db->delete('users', ['id' => $id]);
    }

    public function updateUser()
    {
        $data = [
            'nama' => $this->input->post('nama', true),
            'username' => $this->input->post('username', true),
            'role' => $this->input->post('role', true),
        ];
        $this->db->where('id', $this->input->post('id'));
        $this->db->update('users', $data);
    }

}
?>
