<div class="container my-5">
    <?php if ($this->session->flashdata('flash')) : ?>
        <div class="row mt-3">
            <div class="col-md-6">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    Data Akun <strong>berhasil</strong> <?= $this->session->flashdata('flash'); ?>.
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <h3 class="text-center">Daftar Pengguna</h3>

    <?php if (empty($daftar_akun)) : ?>
        <div class="alert alert-danger" role="alert">
            Data akun tidak ditemukan
        </div>
    <?php endif; ?>

    <div class="row mt-3">
        <div class="col-md-6">
            <a href="<?= base_url(); ?>admin/register" class="btn btn-primary">
                <i class="fas fa-plus"></i> Tambah Akun
            </a>
        </div>
        <div class="col-md-6 ">
            <form action="" method="post" class="form-inline float-right">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="Cari akun..." name="keyword">
                    <div class="input-group-append">
                        <button class="btn btn-primary" type="submit">Cari</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>

    <table class="table table-hover table-bordered">
        <thead class="thead-dark">
            <tr>
                <th class="text-center">No</th>
                <th class="text-center">Nama</th>
                <th class="text-center">Username</th>
                <th class="text-center">Role</th>
                <th class="text-center">Aksi</th>
            </tr>
        </thead>
        <tbody>
            <?php $no = 1; ?>
            <?php foreach ($daftar_akun as $akun) : ?>
                <tr>
                    <td class="text-center"><?= $no++; ?></td>
                    <td class="text-center"><?= $akun['nama']; ?></td>
                    <td class="text-center"><?= $akun['username']; ?></td>
                    <td class="text-center"><?= ucfirst($akun['role']); ?></td>
                    <td class="text-center">
                        <a href="<?= base_url(); ?>admin/hapusakun/<?= $akun['id']; ?>" class="btn btn-danger btn-sm" onclick="return confirm('Yakin ingin menghapus akun ini?');">
                            <i class="fas fa-trash"></i>
                        </a>
                        <a href="<?= base_url(); ?>admin/editakun/<?= $akun['id']; ?>" class="btn btn-success btn-sm">
                            <i class="fas fa-edit"></i>
                        </a>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>
