<div class="container my-5">
    <div class="row">
        <!-- Jumlah Pengguna -->
        <div class="col-md-4 mb-4">
            <div class="card shadow bg-info text-white h-100">
                <div class="card-body text-center">
                    <i class="fas fa-users-cog fa-2x mb-2"></i>
                    <h5 class="card-title">Jumlah Pengguna</h5>
                    <p>Kader: <strong><?= $total_kader; ?></strong></p>
                    <p>Bidan: <strong><?= $total_bidan; ?></strong></p>
                    <p>Admin: <strong><?= $total_admin; ?></strong></p>
                    <p>Total Pengguna: <strong><?= $total_users; ?></strong></p>
                </div>
            </div>
        </div>
        <!-- Total Lansia -->
        <div class="col-md-4 mb-4">
            <div class="card shadow text-white bg-primary h-100">
                <div class="card-body d-flex flex-column justify-content-center text-center">
                    <i class="fas fa-users fa-2x mb-2"></i>
                    <h5 class="card-title">Total Lansia</h5>
                    <h3><?= $total_lansia; ?></h3>
                </div>
            </div>
        </div>

        <!-- Agenda Terakhir -->
<div class="col-md-4 mb-4">
    <div class="card shadow bg-warning text-dark h-100">
        <div class="card-body d-flex flex-column justify-content-center text-center">
            <i class="fas fa-calendar-alt fa-2x mb-2"></i>
            <h5 class="card-title">Agenda Terakhir</h5>

            <?php if (!empty($last_agenda)): ?>
                <h6><?= $last_agenda->nama_agenda; ?></h6>
                <p><?= date('d F Y', strtotime($last_agenda->tanggal)); ?></p>
            <?php else: ?>
                <p>Tidak ada agenda</p>
            <?php endif; ?>
        </div>
    </div>
</div>



        

    <!-- Grafik Data Lansia Bersebelahan -->
    
</div>

<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
<!-- Grafik Donut untuk Gender -->
<script>
    var ctxGender = document.getElementById('genderChart').getContext('2d');
    new Chart(ctxGender, {
        type: 'doughnut',
        data: {
            labels: ['Laki-Laki', 'Perempuan'],
            datasets: [{
                data: [<?= $total_laki_laki; ?>, <?= $total_perempuan; ?>],
                backgroundColor: ['#36A2EB', '#FF6384'],
                borderWidth: 1
            }]
        },
        options: {
            plugins: {
                legend: {
                    position: 'bottom'
                }
            }
        }
    });
</script>

<script>
    // User Role Chart (Admin, Kader, Bidan)
    var ctxUser = document.getElementById('userChart').getContext('2d');
    new Chart(ctxUser, {
        type: 'doughnut',
        data: {
            labels: ['Admin', 'Bidan', 'Kader'],
            datasets: [{
                data: [<?= $jumlah_admin; ?>, <?= $jumlah_bidan; ?>, <?= $jumlah_kader; ?>],
                backgroundColor: ['#007bff', '#28a745', '#ffc107'],
                borderWidth: 1
            }]
        },
        options: {
            plugins: {
                legend: {
                    position: 'bottom'
                }
            }
        }
    });
</script>
