<div class="container my-5">
    <h3><?= $judul ?></h3>

    <?= $this->session->flashdata('flash'); ?>

    <form method="post" class="form-inline mb-3">
        <select name="bulan" class="form-control mr-2">
            <?php for ($i = 1; $i <= 12; $i++): ?>
            <option value="<?= $i ?>" <?= $bulan == $i ? 'selected' : '' ?>>
                <?= date("F", mktime(0, 0, 0, $i, 1)) ?>
            </option>
            <?php endfor; ?>
        </select>
        <select name="tahun" class="form-control mr-2">
            <?php for ($y = 2023; $y <= date('Y'); $y++): ?>
            <option value="<?= $y ?>" <?= $tahun == $y ? 'selected' : '' ?>><?= $y ?></option>
            <?php endfor; ?>
        </select>
        <button type="submit" class="btn btn-primary">Filter</button>
    </form>

    <table class="table table-bordered">
        <thead>
            <tr>
                <th>No</th>
                <th>NIK</th>
                <th>Nama Lansia</th>
                <th>Status Kehadiran</th>
                <th>Aksi</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $hadirNik = array_column($lansia_hadir, 'nik');
            $no = 1;
            foreach ($semua_lansia as $l): ?>
            <tr>
                <td><?= $no++ ?></td>
                <td><?= $l['nik'] ?></td>
                <td><?= $l['nama'] ?></td>
                <td>
                    <?= in_array($l['nik'], $hadirNik) ? '<span class="text-success">Sudah Hadir</span>' : '<span class="text-danger">Belum Hadir</span>' ?>
                </td>
                <td>
                    <?php
                    $bulan_skrg = date('m');
                    $tahun_skrg = date('Y');
                    ?>

                    <?php if (!in_array($l['nik'], $hadirNik) && $bulan == $bulan_skrg && $tahun == $tahun_skrg): ?>
                        <a href="<?= base_url('Absensi/tandai_hadir/' . $l['nik'] . '?bulan=' . $bulan . '&tahun=' . $tahun) ?>" class="btn btn-sm btn-success">Absenkan</a>
                    <?php elseif (in_array($l['nik'], $hadirNik)): ?>
                        <button class="btn btn-sm btn-secondary" disabled>✔</button>
                    <?php else: ?>
                        <button class="btn btn-sm btn-light" disabled>-</button>
                    <?php endif; ?>

                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>
