<div class="container my-5">
    <?php if ($this->session->flashdata('flash')) : ?>
    <div class="row mt-3">
        <div class="col-md-6">
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                Data Lansia <strong>berhasil</strong> <?= $this->session->flashdata('flash'); ?>.
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <!-- Baris untuk tombol Tambah dan Form Pencarian -->
    

    <div class="row mt-5">
        <div class="col">
            <h3 class="text-center">Data Lansia</h3>
            <?php if (empty($data_lansia)) : ?>
            <div class="alert alert-danger" role="alert">
                Data tidak ditemukan
            </div>
            <?php endif; ?>
            <div class="row mt-3">
        <!-- Tombol Tambah Data di Kiri -->
        <div class="col-md-6">
            <!-- Tombol Tambah Data Lansia yang memicu modal -->
            <a href="<?= base_url(); ?>datalansia/tambah" class="btn btn-primary m-2">Tambah Data Lansia</a>

        </div>

        <!-- Form Pencarian di Kanan -->
        <div class="col-md-6">
            <form action="" method="post" class="form-inline float-right">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="Cari data lansia ..." name="keyword">
                    <div class="input-group-append">
                        <button class="btn btn-primary" type="submit">Cari</button>
                    </div>
                </div>
            </form>
        </div>
        </div>
            <!-- Tabel Data Lansia -->
            <div style="overflow-x: auto;">
                <table class="table mt-3 table-bordered">
                    <thead class="thead-dark">
                        <tr>
                            <th class="text-center">No</th>
                            <th class="text-center">Nama Lengkap</th>
                            <th class="text-center">Tempat Lahir</th>
                            <th class="text-center">Tanggal Lahir</th>
                            <th class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $no = 1; ?>
                        <?php foreach ($data_lansia as $lns) : ?>
                            <tr>
                                <td class="text-center"><?php echo $no++; ?></td>
                                <td class="text-center"><?= $lns['nama']; ?></td>
                                <td class="text-center"><?= $lns['tempat_lahir']; ?></td>
                                <td class="text-center"><?php echo strftime(' %d %B %Y', strtotime($lns['tanggal_lahir'])); ?></td>
                                <td class="text-center">
                                    <!-- Tombol Lihat Detail -->
                                    <button class="btn btn-info btn-sm" data-toggle="modal" data-target="#detailModal<?= $lns['nik']; ?>">
                                        <i class="fas fa-eye"> </i> <!-- Ikon Mata -->
                                    </button>

                                    <!-- Tombol Hapus -->
                                    <a href="<?= base_url(); ?>Datalansia/hapus/<?= $lns['nik'] ?>" class="btn btn-danger btn-sm" onclick="return confirm('Apakah anda yakin menghapus data ini?');">
                                        <i class="fas fa-trash"> </i> <!-- Ikon Sampah -->
                                    </a>

                                    <!-- Tombol Ubah -->
                                    <a href="<?= base_url(); ?>Datalansia/ubah/<?= $lns['nik'] ?>" class="btn btn-success btn-sm">
                                        <i class="fas fa-edit"> </i> <!-- Ikon Edit -->
                                    </a>
                                    <!-- Tombol Tambah Riwayat -->
                                    <!-- <a href="<?= base_url(); ?>Datalansia/tambah_riwayat/<?= $lns['nik'] ?>" class="btn btn-primary btn-sm">
                                        <i class="fas fa-notes-medical"></i></a>  -->
                                    
                                </td>

                            </tr>

                         <!-- Modal Detail -->
                        <div class="modal fade" id="detailModal<?= $lns['nik']; ?>" tabindex="-1" role="dialog" aria-labelledby="detailModalLabel<?= $lns['nik']; ?>" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="detailModalLabel<?= $lns['nik']; ?>">Detail Data Lansia</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <p><strong>NIK:</strong> <?= $lns['nik']; ?></p>
                                        <p><strong>Nama Lengkap:</strong> <?= $lns['nama']; ?></p>
                                        <p><strong>Tempat Lahir:</strong> <?= $lns['tempat_lahir']; ?></p>
                                        <p><strong>Tanggal Lahir:</strong> <?php echo strftime(' %d %B %Y', strtotime($lns['tanggal_lahir'])); ?></p>

                                        <!-- Tombol-tombol sejajar -->
                                        <div class="text-center mt-4">
                                            <div class="btn-group" role="group" aria-label="Group Aksi">
                                                <a href="<?= base_url(); ?>Datalansia/data_lengkap/<?= $lns['nik'] ?>" class="btn btn-primary">Data Lengkap</a>
                                                <a href="<?= base_url(); ?>Datalansia/riwayat_kesehatan/<?= $lns['nik'] ?>" class="btn btn-secondary">Riwayat Kesehatan</a>
                                               
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>

                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- Modal Pilihan Tambah Data -->
<div class="modal fade" id="tambahDataModal" tabindex="-1" role="dialog" aria-labelledby="tambahDataModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="tambahDataModalLabel">Pilih Jenis Data yang Ingin Ditambahkan</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Tutup">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body text-center">
        
        <a href="<?= base_url(); ?>datalansia/pilihlansia" class="btn btn-secondary m-2">Tambah Riwayat Kesehatan</a>
      </div>
    </div>
  </div>
</div>
