<?php
// tentukan URL "Kembali" berdasarkan role
$role = $this->session->userdata('role');
switch ($role) {
    case 'admin':
        $backUrl = site_url('Datalansia');
        break;
    case 'bidan':
        $backUrl = site_url('Datalansia/bidan');
        break;
    case 'kader':
        $backUrl = site_url('Datalansia/kader');
        break;
    default:
        $backUrl = site_url();
}
?>
    
<div class="container mt-5">
    <div class="d-flex justify-content-start mb-3">
    <a href="<?= $backUrl ?>" class="btn btn-secondary mt-3">Kembali</a>
    </div>
    <h3 class="text-center mb-4"><?= $judul; ?></h3>
    <div class="table-responsive">
        <table class="table table-bordered table-striped">
            <thead class="thead-dark">
                <tr>
                    <th class="text-center">No</th>
                    <th class="text-center">NIK</th>
                    <th class="text-center">Nama</th>
                    <th class="text-center">Aksi</th>
                </tr>
            </thead>
            <tbody>
                <?php $no = 1; foreach ($data_lansia as $lns): ?>
                <tr>
                    <td class="text-center"><?= $no++; ?></td>
                    <td class="text-center"><?= $lns['nik']; ?></td>
                    <td class="text-center"><?= $lns['nama']; ?></td>
                    <td class="text-center">
                        <a href="<?= base_url('datalansia/tambah_riwayat/'.$lns['nik']); ?>" class="btn btn-primary btn-sm">Tambah Riwayat</a>
                    </td>
                </tr>
                <?php endforeach; ?>
                <?php if (empty($data_lansia)): ?>
                <tr>
                    <td colspan="4" class="text-center">Data lansia tidak ditemukan.</td>
                </tr>
                <?php endif; ?>
            </tbody>
        </table>
    </div>
</div>
