<?php
// tentukan URL "Kembali" berdasarkan role
$role = $this->session->userdata('role');
switch ($role) {
    case 'admin':
        $backUrl = site_url('Datalansia');
        break;
    case 'bidan':
        $backUrl = site_url('Datalansia/bidan');
        break;
    case 'kader':
        $backUrl = site_url('Datalansia/kader');
        break;
    default:
        $backUrl = site_url();
}
// Hitung umur berdasarkan tanggal lahir
$tgl_lahir = new DateTime($lansia['tanggal_lahir']);
$today     = new DateTime();
$umur      = $today->diff($tgl_lahir)->y;
?>
<div class="container mt-5">
    <a href="<?= $backUrl ?>" class="btn btn-secondary mt-3">Kembali</a>
    <div class="row justify-content-center">
        <div class="col-md">
            <div class="card shadow-sm mt-4">
                <div class="card-body">
                    <h3 class="text-center mb-4">Riwayat Kesehatan Lansia <br>
                        <small class="text-muted">
                        Nama: <?= $lansia['nama']; ?> &nbsp;|&nbsp; Usia: <?= $umur; ?> tahun
                        </small></h3>

                    

                    <?php if (isset($message)): ?>
                        <div class="alert alert-warning" role="alert">
                            <?= $message; ?>
                        </div>
                    <?php else: ?>
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead class="thead-dark">
                                    <tr>
                                        <th class="text-center">No</th>
                                        <th class="text-center">Tanggal</th>
                                        <th class="text-center">BB (kg)</th>
                                        <th class="text-center">Tekanan Darah</th>
                                        <th class="text-center">Kolesterol</th>
                                        <th class="text-center">Asam Urat</th>
                                        <th class="text-center">Gula Darah</th>
                                        <th class="text-center">Keterangan</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 1;?>
                                    <?php foreach ($riwayat_kesehatan as $riwayat) { ?>
                                    <tr>
                                        <td class="text-center"><?php echo $no++;?></td>
                                        <td class="text-center"><?= $riwayat['tanggal_periksa']; ?></td>
                                        <td class="text-center"><?= $riwayat['bb']; ?> kg</td>
                                        <td class="text-center"><?= $riwayat['tekanan_darah']; ?> mmHg</td>
                                        <td class="text-center"><?= $riwayat['kolesterol']; ?> mg/dL</td>
                                        <td class="text-center"><?= $riwayat['asam_urat']; ?> mg/dL</td>
                                        <td class="text-center"><?= $riwayat['gula_darah']; ?> mg/dL</td>
                                        <td class="text-center">
                                            <!-- <?php 
                                            // Menentukan keterangan otomatis
                                            $keterangan = [];

                                            // Tekanan Darah
                                            $tekanan = $riwayat['tekanan_darah'];
                                            if ($tekanan < 90) {
                                                $keterangan[] = "Tekanan Darah Rendah";
                                            } elseif ($tekanan >= 90 && $tekanan <= 120) {
                                                $keterangan[] = "Tekanan Darah Normal";
                                            } else {
                                                $keterangan[] = "Tekanan Darah Tinggi";
                                            }

                                            // Kolesterol
                                            $kolesterol = $riwayat['kolesterol'];
                                            if ($kolesterol < 200) {
                                                $keterangan[] = "Kolesterol Normal";
                                            } else {
                                                $keterangan[] = "Kolesterol Tinggi";
                                            }

                                            // Asam Urat
                                            $asam_urat = $riwayat['asam_urat'];
                                            if ($asam_urat <= 7) {
                                                $keterangan[] = "Asam Urat Normal";
                                            } else {
                                                $keterangan[] = "Asam Urat Tinggi";
                                            }

                                            // Gula Darah
                                            $gula_darah = $riwayat['gula_darah'];
                                            if ($gula_darah < 140) {
                                                $keterangan[] = "Gula Darah Normal";
                                            } else {
                                                $keterangan[] = "Gula Darah Tinggi";
                                            }

                                            // Gabungkan semua keterangan
                                            echo implode(", ", $keterangan);
                                            ?> -->
                                        </td>
                                    </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    <?php endif; ?>
                    
                </div>
            </div>
        </div>
    </div>
</div>
 