<?php
// tentukan URL "Kembali" berdasarkan role
$role = $this->session->userdata('role');
switch ($role) {
    case 'admin':
        $backUrl = site_url('Datalansia');
        break;
    case 'bidan':
        $backUrl = site_url('Datalansia/bidan');
        break;
    case 'kader':
        $backUrl = site_url('Datalansia/kader');
        break;
    default:
        $backUrl = site_url();
}
?>
    
<div class="container mt-5">
    <div class="d-flex justify-content-start mb-3">
    <a href="<?= $backUrl ?>" class="btn btn-secondary mt-3">Kembali</a>
    </div>
    
    <h3 class="text-center mb-4">Tambah Data Lansia</h3>
    
    <div class="card p-4 shadow">
        <?= form_open('datalansia/tambah'); ?>

        <div class="form-group">
            <label for="nama">Nama Lengkap</label>
            <input type="text" name="nama" class="form-control" id="nama">
            <?= form_error('nama', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="nama_panggilan">Nama Panggilan</label>
            <input type="text" name="nama_panggilan" class="form-control" id="nama_panggilan">
            <?= form_error('nama_panggilan', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="nik">NIK</label>
            <input type="number" name="nik" class="form-control" id="nik">
            <?= form_error('nik', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="jkelamin">Jenis Kelamin</label>
            <select class="form-control" id="jkelamin" name="jkelamin">
                <option value="">-- Pilih --</option>
                <option value="Laki-laki">Laki-laki</option>
                <option value="Perempuan">Perempuan</option>
            </select>
            <?= form_error('jkelamin', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="tempat_lahir">Tempat Lahir</label>
            <input type="text" name="tempat_lahir" class="form-control" id="tempat_lahir">
            <?= form_error('tempat_lahir', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="tanggal_lahir">Tanggal Lahir</label>
            <input type="date" name="tanggal_lahir" class="form-control" id="tanggal_lahir">
            <?= form_error('tanggal_lahir', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="alamat">Alamat</label>
            <input type="text" name="alamat" class="form-control" id="alamat">
            <?= form_error('alamat', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="pekerjaan">Pekerjaan</label>
            <input type="text" name="pekerjaan" class="form-control" id="pekerjaan">
            <?= form_error('pekerjaan', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="agama">Agama</label>
            <select class="form-control" id="agama" name="agama">
                <option value="">-- Pilih --</option>
                <option value="Islam">Islam</option>
                <option value="Kristen Katholik">Kristen Katholik</option>
                <option value="Kristen Protestan">Kristen Protestan</option>
                <option value="Hindu">Hindu</option>
                <option value="Budha">Budha</option>
                <option value="Konghucu">Konghucu</option>
            </select>
            <?= form_error('agama', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="pend_terakhir">Pendidikan Terakhir</label>
            <select class="form-control" id="pend_terakhir" name="pend_terakhir">
                <option value="">-- Pilih --</option>
                <option value="Tidak sekolah">Tidak sekolah</option>
                <option value="SD/sederajat">SD/sederajat</option>
                <option value="SMP/sederajat">SMP/sederajat</option>
                <option value="SMA/sederajat">SMA/sederajat</option>
                <option value="Sarjana">Sarjana</option>
            </select>
            <?= form_error('pend_terakhir', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="statuskawin">Status Perkawinan</label>
            <select class="form-control" id="statuskawin" name="statuskawin">
                <option value="">-- Pilih --</option>
                <option value="Menikah">Menikah</option>
                <option value="Tidak Menikah">Tidak Menikah</option>
                <option value="Janda">Janda</option>
                <option value="Duda">Duda</option>
            </select>
            <?= form_error('statuskawin', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="tempat_tinggal">Tempat Tinggal</label>
            <select class="form-control" id="tempat_tinggal" name="tempat_tinggal">
                <option value="">-- Pilih --</option>
                <option value="Rumah sendiri">Rumah sendiri</option>
                <option value="Rumah anak">Rumah anak</option>
                <option value="Panti sosial">Panti sosial</option>
                <option value="Tidak tetap">Tidak tetap</option>
                <option value="Lain-lain">Lain-lain</option>
            </select>
            <?= form_error('tempat_tinggal', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="form-group">
            <label for="keterangan">Keterangan</label>
            <select class="form-control" id="keterangan" name="keterangan">
                <option value="">-- Pilih --</option>
                <option value="Sehat">Sehat</option>
                <option value="Sakit">Sakit</option>
            </select>
            <?= form_error('keterangan', '<div class="text-danger"><small>', '</small></div>'); ?>
        </div>

        <div class="text-center mt-4">
            <?= form_submit('submit', 'Tambah Data', ['class' => 'btn btn-primary']); ?>
        </div>

        <?= form_close(); ?>
    </div>
</div>
