<?php
// tentukan URL "Kembali" berdasarkan role
$role = $this->session->userdata('role');
switch ($role) {
    case 'admin':
        $backUrl = site_url('Datalansia');
        break;
    case 'bidan':
        $backUrl = site_url('Datalansia/bidan');
        break;
    case 'kader':
        $backUrl = site_url('Absensi/daftar_hadir');
        break;
    default:
        $backUrl = site_url();
}
// Hitung umur berdasarkan tanggal lahir
$tgl_lahir = new DateTime($lansia['tanggal_lahir']);
$today     = new DateTime();
$umur      = $today->diff($tgl_lahir)->y;
?>
    
<div class="container mt-5">
    <div class="d-flex justify-content-start mb-3">
    <a href="<?= $backUrl ?>" class="btn btn-secondary mt-3">Kembali</a>
    </div>
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card shadow-sm">
                <div class="card-body">
                    <h3 class="text-center mb-4">Tambah Riwayat Kesehatan Lansia
                    <br>
                        <small class="text-muted">
                        Nama: <?= $lansia['nama']; ?> &nbsp;|&nbsp; Usia: <?= $umur; ?> tahun
                        </small></h3>
                    </h3>

                    <?php if ($this->session->flashdata('flash')): ?>
                        <div class="alert alert-success" role="alert">
                            Riwayat kesehatan berhasil <?= $this->session->flashdata('flash'); ?>!
                        </div>
                    <?php endif; ?>
                    
                    <?= form_open('Datalansia/tambah_riwayat/'.$lansia['nik']); ?>
                        <div class="form-group">
                            <label for="tanggal_periksa">Tanggal Periksa</label>
                            <input type="date" class="form-control" id="tanggal_periksa" name="tanggal_periksa" required>
                        </div>
                        <div class="form-group">
                            <label for="bb">Berat Badan (kg)</label>
                            <input type="number" step="0.1" class="form-control" id="bb" name="bb" placeholder="Masukkan berat badan" required>
                        </div>
                        <div class="form-group">
                            <label for="tekanan_darah">Tekanan Darah (mmHg)</label>
                            <input type="text" class="form-control" id="tekanan_darah" name="tekanan_darah" placeholder="Contoh: 120/80" required>
                        </div>
                        <div class="form-group">
                            <label for="kolesterol">Kolesterol (mg/dL)</label>
                            <input type="number" step="0.1" class="form-control" id="kolesterol" name="kolesterol" placeholder="Masukkan kadar kolesterol" required>
                        </div>
                        <div class="form-group">
                            <label for="asam_urat">Asam Urat (mg/dL)</label>
                            <input type="number" step="0.1" class="form-control" id="asam_urat" name="asam_urat" placeholder="Masukkan kadar asam urat" required>
                        </div>
                        <div class="form-group">
                            <label for="gula_darah">Gula Darah (mg/dL)</label>
                            <input type="number" step="0.1" class="form-control" id="gula_darah" name="gula_darah" placeholder="Masukkan kadar gula darah" required>
                        </div>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                  
                    <?= form_close(); ?>
                </div>
            </div>
        </div>
    </div>
</div>
