<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
    <title>Login Posyandu Mawar</title>

    <style>
        /* Background gradasi */
        body {
            background: linear-gradient(to right, #4facfe, #00f2fe);
            font-family: 'Roboto', sans-serif;
        }

        

        .card {
            border-radius: 15px;
            box-shadow: 0 10px 15px rgba(0, 0, 0, 0.1);
            margin-top: 50px;
            padding: 30px;
        }

        .card-body {
            text-align: center;
        }

        .card h2 {
            font-weight: 700;
            margin-bottom: 20px;
            color: #333;
        }

        .form-control {
            border-radius: 50px;
            border: 1px solid #ddd;
            margin-bottom: 20px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            transition: box-shadow 0.3s ease;
        }

        .form-control:focus {
            box-shadow: 0 0 10px rgba(0, 123, 255, 0.5);
            border-color: #007bff;
        }

        .btn-user {
            background-color: #007bff;
            color: white;
            border-radius: 50px;
            padding: 12px 20px;
            font-size: 16px;
            width: 100%;
            border: none;
            transition: background-color 0.3s ease;
        }

        .btn-user:hover {
            background-color: #0056b3;
        }

        .footer-text {
            font-size: 12px;
            margin-top: 20px;
            color: #555;
        }

        /* Menambahkan efek hover pada logo */
        .brand-title {
            font-size: 36px;
            font-weight: 700;
            color: #ff5722;
            margin-bottom: 20px;
            
            letter-spacing: 3px;
        }

        
        /* Responsif untuk layar kecil */
        @media (max-width: 767px) {
            .container {
                padding-left: 10px;
                padding-right: 10px;
            }
        }
    </style>
</head>

<body>

    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-7">
                <div class="card o-hidden border-0 shadow-lg my-5">
                    <div class="card-body p-0">
                        <div class="row">
                            <div class="col-lg">
                                <div class="p-5">
                                    <div class="brand-title">
                                        <img src="<?= base_url('assets/img/logo-posyandu.png'); ?>" width="60" height="60"> POSYANDU MAWAR
                                    </div>
                                    <h2>Login</h2>
                                    <?php if ($this->session->flashdata('error')): ?>
                                        <p style="color: red;"><?php echo $this->session->flashdata('error'); ?></p>
                                    <?php endif; ?>
                                    <form action="<?= base_url('login/process') ?>" method="post">
                                    <div class="form-group">
                                        <input type="text" name="username" class="form-control" placeholder="Username" required>
                                    </div>
                                    <div class="form-group">
                                        <input type="password" name="password" class="form-control" placeholder="Password" required>
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-block">Login</button>
                                    </form>

                                    <div class="footer-text">
                                        <p>Copyright &copy; Posyandu Mawar 2024</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</body>

</html>