<div class="container my-5">
    <h3 class="mb-4"><?= $judul ?></h3>

    <?= $this->session->flashdata('flash'); ?>

    <div class="card-body">
        <form method="get" class="form-inline">
                <label class="mr-2">Filter Bulan:</label>
                <select name="bulan" class="form-control mr-3">
                    <?php for ($i = 1; $i <= 12; $i++): ?>
                        <option value="<?= $i ?>" <?= ($bulan == $i) ? 'selected' : '' ?>>
                            <?= date('F', mktime(0, 0, 0, $i, 1)) ?>
                        </option>
                    <?php endfor; ?>
                </select>

                <label class="mr-2">Tahun:</label>
                <select name="tahun" class="form-control mr-3">
                    <?php for ($t = 2023; $t <= date('Y'); $t++): ?>
                        <option value="<?= $t ?>" <?= ($tahun == $t) ? 'selected' : '' ?>>
                            <?= $t ?>
                        </option>
                    <?php endfor; ?>
                </select>

                <button type="submit" class="btn btn-primary">Tampilkan</button>
            </form>
        <div class="card-body table-responsive">
            <table class="table table-bordered table-hover">
                <thead class="thead-light">
                    <tr>
                        <th>No</th>
                        <th>Nama Lansia</th>
                        <th>Tanggal</th>
                        <th>Berat Badan</th>
                        <th>Tekanan Darah</th>
                        <th>Kolesterol</th>
                        <th>Asam Urat</th>
                        <th>Gula Darah</th>
                        <th>Catatan Bidan</th>
                        <th>Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $no = 1; foreach ($riwayat_kesehatan as $riwayat): ?>
                        <tr>
                            <td><?= $no++ ?></td>
                            <td><?= $riwayat->nama_lansia; ?></td>
                            <td><?= date('d-m-Y', strtotime($riwayat->tanggal_periksa)); ?></td>
                            <td><?= $riwayat->bb; ?> kg</td>
                            <td><?= $riwayat->tekanan_darah; ?> mmHg</td>
                            <td><?= $riwayat->kolesterol; ?> mg/dL</td>
                            <td><?= $riwayat->asam_urat; ?> mg/dL</td>
                            <td><?= $riwayat->gula_darah; ?> mg/dL</td>
                            <td><?= $riwayat->catatan_bidan ?: '<em>Belum ada</em>'; ?></td>
                            <td>
                                <button 
                                    type="button" 
                                    class="btn btn-sm <?= empty($riwayat->catatan_bidan) ? 'btn-primary' : 'btn-warning' ?> beri-catatan-btn"
                                    data-toggle="modal"
                                    data-target="#catatanModal"
                                    data-id="<?= $riwayat->id ?>"
                                    data-nama="<?= $riwayat->nama_lansia ?>"
                                    data-catatan="<?= htmlspecialchars($riwayat->catatan_bidan) ?>"
                                >
                                    <?= empty($riwayat->catatan_bidan) ? 'Beri Catatan' : 'Edit Catatan' ?>
                                </button>
                            </td>

                            
                        </tr>
                    <?php endforeach; ?>
                    <?php if (empty($riwayat_kesehatan)): ?>
                        <tr>
                            <td colspan="10" class="text-center text-muted">Tidak ada data untuk bulan dan tahun ini.</td>
                        </tr>
                    <?php endif; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<!-- Modal -->
<div class="modal fade" id="catatanModal" tabindex="-1" role="dialog" aria-labelledby="catatanModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <form method="post" action="<?= site_url('riwayat/beri_catatan') ?>">
      <input type="hidden" name="id" id="riwayat-id">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="catatanModalLabel">Beri Catatan</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Tutup">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <p>Nama Lansia: <strong id="nama-lansia"></strong></p>
            <textarea name="catatan_bidan" id="catatan_bidan" class="form-control" rows="5" placeholder="Tulis catatan bidan..."></textarea>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
          <button type="submit" class="btn btn-primary">Simpan Catatan</button>
        </div>
      </div>
    </form>
  </div>
</div>
