<h3><?= $judul ?></h3>

<form method="get" class="form-inline mb-3">
    <label class="mr-2">Bulan:</label>
    <select name="bulan" class="form-control mr-2" onchange="this.form.submit()">
        <option value="">Semua</option>
        <?php for ($i = 1; $i <= 12; $i++): ?>
            <option value="<?= $i ?>" <?= ($bulan == $i) ? 'selected' : '' ?>>
                <?= date('F', mktime(0, 0, 0, $i, 1)) ?>
            </option>
        <?php endfor; ?>
    </select>

    <label class="mr-2">Tahun:</label>
    <select name="tahun" class="form-control mr-2" onchange="this.form.submit()">
        <option value="">Semua</option>
        <?php for ($t = 2023; $t <= date('Y'); $t++): ?>
            <option value="<?= $t ?>" <?= ($tahun == $t) ? 'selected' : '' ?>>
                <?= $t ?>
            </option>
        <?php endfor; ?>
    </select>

    <label class="mr-2">Tanggal:</label>
    <select name="tanggal_lengkap" class="form-control mr-2" onchange="this.form.submit()">
        <option value="">Semua</option>
        <?php foreach ($semua_tanggal as $tgl): ?>
            <option value="<?= $tgl ?>" <?= ($tanggal_lengkap == $tgl) ? 'selected' : '' ?>>
                <?= date('d-m-Y', strtotime($tgl)) ?>
            </option>
        <?php endforeach; ?>
    </select>
</form>

<table class="table table-bordered">
    <thead>
        <tr>
            <th>No</th>
            <th>Nama Lansia</th>
            <th>Tanggal Periksa</th>
            <th>Tekanan Darah</th>
            <th>Berat Badan</th>
            <th>Keluhan</th>
            <th>Catatan Bidan</th>
        </tr>
    </thead>
    <tbody>
        <?php if (!empty($riwayat_kesehatan)): ?>
            <?php $no = 1; foreach ($riwayat_kesehatan as $r): ?>
                <tr>
                    <td><?= $no++ ?></td>
                    <td><?= $r->nama_lansia ?></td>
                    <td><?= date('d-m-Y', strtotime($r->tanggal_periksa)) ?></td>
                    <td><?= $r->tekanan_darah ?></td>
                    <td><?= $r->berat_badan ?></td>
                    <td><?= $r->keluhan ?></td>
                    <td><?= $r->catatan_bidan ?></td>
                </tr>
            <?php endforeach; ?>
        <?php else: ?>
            <tr><td colspan="7" class="text-center">Tidak ada data ditemukan</td></tr>
        <?php endif; ?>
    </tbody>
</table>
